Bug 25352 - anaconda crashing on upgrade
anaconda crashing on upgrade
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-30 17:00 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-01 12:51:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-30 17:00:44 EST
I'm trying to upgrade a RedHat 7.0 system and it crashes just before I get
to pick the individual packages to upgrade.  This is a HP LPR NetServer,
PIII 750, 512 MB RAM dual scsi hard drives.  I booted off the CDROM to do
the upgrade.   Here is the traceback--


Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 412, in
nextClicked
    next = self.currentScreen.getNext ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/installpath_gui.py",
line 97, in getNext
    from fstab import GuiFstab
ImportError: cannot import name GuiFstab

Local variables in innermost frame:
self: <installpath_gui.InstallPathWindow instance at 8485aa0>

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
~        
===========================================================================
We tried the fix-- 

anaconda update disk (RHBA-2000-084)  

 which didn't work--it still crashed.  I called support ( we have
per-server support) and described the problem--he suggested that I submit
the problem here.  Let me know what you find.  Thanks
Comment 1 Michael Fulbright 2001-02-01 12:51:12 EST
There is a problem with your CD. You can get a new CD from customer support if
you purchased a Red Hat Linux box set.

Note You need to log in before you can comment on or make changes to this bug.